#!/usr/bin/gnuplot

# Miroslav Broz (miroslav.broz@email.cz), Jul 26th 2002

set term postscript eps enh mono dashed "Helvetica" 18
set out "r32-size_distribution_bw.eps"
set size 0.75,1

set tit ""
set xl "diameter {/Helvetica-Oblique D} / km"
set yl "number of asteroids {/Helvetica-Oblique N} (>{/Helvetica-Oblique D})"

set xr [3:210]
miny=0.8
maxy=2000
set yr [miny:maxy]
set logscale xy

lw=5
set style line 1 lt 1 lw 0.5 # fit
set style line 2 lt 1 lw 5   # J3/2
set style line 4 lt 2 lw 3   # Hilda
set style line 3 lt 4 lw 3   # Schubart
set style line 5 lt 4 lw 0.5 # ranges
set style line 6 lt 4 lw 0.5
set style line 7 lt 4 lw 0.5
set style line 8 lt 9 lw 0.5 # r32_wo_

set mytics 10
#set grid
#set xtics ("1"1,"2"2,"3"3,"4"4,"5"5,"6"6,"7"7,"8"8,""9,"10"10,""11,""12,""13,""14,"15"15,""16,""17,""18,""19,"20"20,"30"30,"50"50)

load "r32_librating.plt"
load "schubart.plt"
load "hilda.plt"

#set nolabel 2
#set nolabel 3
#set label " {/=12{/Symbol -}2.7" at 11, f_schubart(10)*0.27
#set label " {/=12{/Symbol -}2.8" at 11, f_hilda(10)   *0.9

p f_r32_librating(x) not ls 1,\
  f_schubart(x)      not ls 1,\
  f_hilda(x)         not ls 1,\
  "r32_librating.dat_hc"   t "J3/2"     w l ls 2,\
  "hilda.dat_hc"           t "Hilda"    w l ls 4,\
  "schubart.dat_hc"        t "Schubart" w l ls 3,\
  "r32_librating.dat_rng" u 1:(miny+$2*(maxy-miny)) not w l ls 5,\
  "schubart.dat_rng"      u 1:(miny+$2*(maxy-miny)) not w l ls 6,\
  "hilda.dat_rng"         u 1:(miny+$2*(maxy-miny)) not w l ls 7

q

#  "r32_wo_hilda.dat_hc"    not          w l ls 8,\
#  "r32_wo_schubart.dat_hc" not          w l ls 8,\


