#!/bin/sh

# geometric albedo
  r32_librating_A=0.044
r32_wo_schubart_A=0.044
   r32_wo_hilda_A=0.044
       schubart_A=0.025
          hilda_A=0.044

# lower diameter cutoff
  r32_librating_min=9
r32_wo_schubart_min=10
   r32_wo_hilda_min=10
       schubart_min=11
          hilda_min=11

# upper diameter cutoff
  r32_librating_max=20
r32_wo_schubart_max=20
   r32_wo_hilda_max=20
       schubart_max=20
          hilda_max=20

for FILE in schubart hilda ; do
  ./astdys2astorb_name.sh ${FILE}_family.list > $FILE.lst
  ./astorb_grep_astorb.awk     $FILE.lst r32_librating.astorb > $FILE.astorb
  ./astorb_grep_astorb_NOT.awk $FILE.lst r32_librating.astorb > r32_wo_$FILE.astorb
done

for FILE in r32_librating r32_wo_schubart r32_wo_hilda schubart hilda ; do
  ./H.awk < $FILE.astorb > $FILE.dat_H
  eval A=\$"$FILE"_A
  awk -v A=$A '{ print $1, A; }' < $FILE.dat_H > maga2r.in
  maga2r < maga2r.in > maga2r.out
  awk '{ print $1*2; }' < maga2r.out > $FILE.dat_D
  sort -nr < $FILE.dat_D > $FILE.dat_sort
  ./hist_cumulative.awk < $FILE.dat_sort > $FILE.dat_hc

  eval MIN=\$"$FILE"_min
  eval MAX=\$"$FILE"_max
  awk 'BEGIN{d1=ARGV[1]; d2=ARGV[2]; ARGV[1]=ARGV[2]="";}($1>d1) && ($1<d2) && ($2>1){print;}' $MIN $MAX < $FILE.dat_hc > $FILE.dat_fit
  echo -e "$MIN 0\n$MIN 1\n\n$MAX 0\n$MAX 1" > $FILE.dat_rng
  ./loglog.awk < $FILE.dat_fit > $FILE.dat_log
  ./linreg.awk < $FILE.dat_log > $FILE.lsm
  awk 'BEGIN{f=ARGV[1]; ARGV[1]=""}{print "f_" f "(x) = (10**" $1 ") * x**(" $2 ")";}' $FILE < $FILE.lsm > $FILE.plt
  awk 'BEGIN{f=ARGV[1]; ARGV[1]=""}{print "set label \" {/=12{/Symbol -}" sprintf("%.1f", -$2) "\" at 11, f_" f "(10)";}' $FILE < $FILE.lsm >> $FILE.plt
  awk 'BEGIN{f=ARGV[1]; ARGV[1]=""}{print f " " $2}' $FILE < $FILE.lsm
done

./r32-size_distribution.plt
./r32-size_distribution_bw.plt


